/*!
 * @file Skill.h
 * @brief ゲーム中のスキルのプロトタイプ
 * @date 2013/12/17
 * @author Deskull
 * 2013 Sikabane Works.
 */

#include "stdafx.h"
#include "GameElement.h"

/*!
 * @class Skill
 * @brief スキルのクラス
 */
class Skill : public GameElement
{
private:

public:

	/*! 
	 * @brief Skillクラスコンストラクタ(GameElementメンバ対応)
	 * @param id GameElementのID
	 * @param TAG GameElementのタグ
	 * @param gameWorld 所属元gameWorld参照ポインタ
	 */
	Skill::Skill(ID id, TAG tag, GameWorld *gameWorld);
	Skill::Skill(void);
	Skill::~Skill(void);

};
